#include "xgfxtexture.h"

#include "xd3dbasetexture.h"
#include "xgfximageloaddef.h"

XGfxTexture::XGfxTexture()
    : XAsset()
    , mBaseMap(new XD3DBaseTexture())
    , mMap(new XD3DTexture())
    , mVolMap(new XD3DVolumeTexture())
    , mCubeMap(new XD3DCubeTexture())
    , mLoadDef(new XGfxImageLoadDef())
{
    
}

XGfxTexture::~XGfxTexture()
{
    
}

void XGfxTexture::ParseData(QDataStream *aStream)
{
    
}

void XGfxTexture::Clear()
{
    
}
